pub mod client;
pub mod dns_connector;
pub mod connector;

// Reexport trust dns types for convenience
pub use trust_dns_client::rr::rdata::{
    DNSSECRData, caa, sshfp, mx, null, soa, srv, txt
};
pub use trust_dns_client::rr::{
    RData, DNSClass, Record
};
pub use trust_dns_proto::rr::Name;

// Reexport module types
pub use connector::{RecordConnector, ZoneConnector, ConnectorError};
pub use dns_connector::{DnsConnectorClient, DnsConnectorError};
pub use client::DnsClient;